USB_FIND_INTERFACE(9)

NAME
usb_find_interface - find usb_interface pointer for driver and device

SYNOPSIS

struct usb_interface * usb_find_interface(struct usb_driver * drv, int minor);

ARGUMENTS

drv
    the driver whose current configuration is considered

minor
    the minor number of the desired device

DESCRIPTION

This walks the bus device list and returns a pointer to the interface with the matching minor and driver. Note, this only works for devices that share the USB major number.

RETURN

A pointer to the interface with the matching major and minor.

COPYRIGHT